commit:     297945bba01199f3e880e9449c85c09eab8e9e21
Author:     Benda Xu <heroxbd <AT> gentoo <DOT> org>
AuthorDate: Fri Nov 29 04:30:21 2019 +0000
Commit:     Benda XU <heroxbd <AT> gentoo <DOT> org>
CommitDate: Fri Nov 29 04:41:14 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=297945bb

x11-wm/xpra: version bump to Python 3.

  Add myself to maintainers.

Closes: https://bugs.gentoo.org/696784
Package-Manager: Portage-2.3.79, Repoman-2.3.18
Signed-off-by: Benda Xu <heroxbd <AT> gentoo.org>

 x11-wm/xpra/Manifest                               |   1 +
 .../xpra-3.0.2_ignore-gentoo-no-compile.patch      |  13 ++
 x11-wm/xpra/metadata.xml                           |   4 +
 x11-wm/xpra/xpra-3.0.2.ebuild                      | 154 +++++++++++++++++++++
 4 files changed, 172 insertions(+)

diff --git a/x11-wm/xpra/Manifest b/x11-wm/xpra/Manifest
index 748ea77fabc..8366143c645 100644
--- a/x11-wm/xpra/Manifest
+++ b/x11-wm/xpra/Manifest
@@ -1,3 +1,4 @@
 DIST xpra-2.2.2.tar.xz 2195836 BLAKE2B 
39d8354738df399d98248a0d455c3b7fa6124f374f0f6e0a476bae53b9728b9ab16c11bd759b6ff52a28295445809fb18b3379b7fc620f0916944f738a00b280
 SHA512 
5c09e29732c9ca7d03557e4e6070517b192484e67944532d5aeca53e518c8617f7d3a5919a2557050fbb9aa4123a0302a53720dd7036823db83588264dd3e6d2
 DIST xpra-2.2.6.tar.xz 2198720 BLAKE2B 
41f238e98dbb60598cffcc3960375a525658c72db478acace0acb964fe3ee039acb5e352a76ffb5724b6c4acd63ea510505f6841f688c67d0ae2a3cbc2270642
 SHA512 
f47b7a8b08fc90bdf3cba91e4f7343785cdf6e24a0979f4564e9f6885b0f36c03ff5656e2d7ac5fd21895faca7b00e8839ebd66c82122a2c7cab2b40bd44e745
 DIST xpra-2.4.3.tar.xz 2434852 BLAKE2B 
3d2dd4d8a64a20a88004a91f95d8e6165f45dac7a3d725f41c437d605f55bbd903284e7e829e02c1e94e33c3777ce660c55b469fb5b1f6c5025853b0cae1a6c3
 SHA512 
5174f7852571eaeb6c2fb629aa2686e19bff7251622ff08903af188989f132b73e4509c98edfac9cddd0f582e63d0ffae94442111a7bfcef8013b3fc87dffd54
+DIST xpra-3.0.2.tar.xz 2749196 BLAKE2B 
3c8745657a12637704fb88ac7b867ab387ef7ed2250396d9e534aecf81e40f85332a2c51ba49638834012f4a4d85c03bd7e49ee259bb2400aeb60fb06abf8b59
 SHA512 
115f606ff5886d99a906f318cb1a7a4a86e80ebf23e4336e67938267d92ef624de577cc8fc06c6ce541b7c44a0cef58d930b5928f32e24dfc67c72127c7b623c

diff --git a/x11-wm/xpra/files/xpra-3.0.2_ignore-gentoo-no-compile.patch 
b/x11-wm/xpra/files/xpra-3.0.2_ignore-gentoo-no-compile.patch
new file mode 100644
index 00000000000..5823ac8c167
--- /dev/null
+++ b/x11-wm/xpra/files/xpra-3.0.2_ignore-gentoo-no-compile.patch
@@ -0,0 +1,13 @@
+Index: xpra-3.0.2/setup.py
+===================================================================
+--- xpra-3.0.2.orig/setup.py
++++ xpra-3.0.2/setup.py
+@@ -516,7 +516,7 @@ def cython_add(extension, min_version="0
+     #python2.7 setup.py build -b build-2.7 install --no-compile \
+     #    --root=/var/tmp/portage/x11-wm/xpra-0.7.0/temp/images/2.7
+     if "--no-compile" in sys.argv and not ("build" in sys.argv and "install" 
in sys.argv):
+-        return
++        pass
+     assert cython_ENABLED, "cython compilation is disabled"
+     cython_version_check(min_version)
+     from Cython.Distutils import build_ext

diff --git a/x11-wm/xpra/metadata.xml b/x11-wm/xpra/metadata.xml
index 9ac095e40d6..653674e9188 100644
--- a/x11-wm/xpra/metadata.xml
+++ b/x11-wm/xpra/metadata.xml
@@ -5,6 +5,10 @@
        <email>[email protected]</email>
        <name>Andreas K. Huettel</name>
 </maintainer>
+<maintainer type="person">
+       <email>[email protected]</email>
+       <name>Benda Xu</name>
+</maintainer>
 <upstream>
        <bugs-to>https://www.xpra.org/trac/report</bugs-to>
 </upstream>

diff --git a/x11-wm/xpra/xpra-3.0.2.ebuild b/x11-wm/xpra/xpra-3.0.2.ebuild
new file mode 100644
index 00000000000..26a8b868a47
--- /dev/null
+++ b/x11-wm/xpra/xpra-3.0.2.ebuild
@@ -0,0 +1,154 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+# PyCObject_Check and PyCObject_AsVoidPtr vanished with python 3.3
+PYTHON_COMPAT=( python3_6 )
+inherit xdg distutils-r1 eutils flag-o-matic user tmpfiles prefix
+
+DESCRIPTION="X Persistent Remote Apps (xpra) and Partitioning WM (parti) based 
on wimpiggy"
+HOMEPAGE="http://xpra.org/ http://xpra.org/src/";
+SRC_URI="http://xpra.org/src/${P}.tar.xz";
+
+LICENSE="GPL-2 BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="+client +clipboard csc cups dbus dec_avcodec2 enc_ffmpeg enc_x264 
enc_x265 jpeg libav +lz4 lzo opengl pillow pulseaudio server sound test vpx 
webcam webp"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}
+       clipboard? ( || ( server client ) )
+       cups? ( dbus )
+       opengl? ( client )
+       || ( client server )
+       client? ( enc_x264? ( dec_avcodec2 ) enc_x265? ( dec_avcodec2 ) )"
+
+COMMON_DEPEND="${PYTHON_DEPS}
+       dev-python/pygobject:3[${PYTHON_USEDEP}]
+       x11-libs/libX11
+       x11-libs/libXcomposite
+       x11-libs/libXdamage
+       x11-libs/libXfixes
+       x11-libs/libXrandr
+       x11-libs/libXtst
+       x11-libs/libxkbfile
+       csc? (
+               !libav? ( >=media-video/ffmpeg-1.2.2:0= )
+               libav? ( media-video/libav:0= )
+       )
+       dec_avcodec2? (
+               !libav? ( >=media-video/ffmpeg-2:0=[x264,x265] )
+               libav? ( media-video/libav:0=[x264,x265] )
+       )
+       enc_ffmpeg? (
+               !libav? ( >=media-video/ffmpeg-3.2.2:0= )
+               libav? ( media-video/libav:0= )
+       )
+       enc_x264? ( media-libs/x264
+               !libav? ( >=media-video/ffmpeg-1.0.4:0=[x264] )
+               libav? ( media-video/libav:0=[x264] )
+       )
+       enc_x265? ( media-libs/x265
+               !libav? ( >=media-video/ffmpeg-2:0=[x264] )
+               libav? ( media-video/libav:0=[x264] ) )
+       jpeg? ( media-libs/libjpeg-turbo )
+       opengl? ( dev-python/pygtkglext )
+       pulseaudio? ( media-sound/pulseaudio )
+       sound? ( media-libs/gstreamer:1.0
+               media-libs/gst-plugins-base:1.0
+               dev-python/gst-python:1.0 )
+       vpx? ( media-libs/libvpx virtual/ffmpeg )
+       webp? ( media-libs/libwebp )"
+
+RDEPEND="${COMMON_DEPEND}
+       dev-python/netifaces[${PYTHON_USEDEP}]
+       dev-python/rencode[${PYTHON_USEDEP}]
+       dev-python/pillow[jpeg?,${PYTHON_USEDEP}]
+       virtual/ssh
+       x11-apps/xmodmap
+       cups? ( dev-python/pycups[${PYTHON_USEDEP}] )
+       dbus? ( dev-python/dbus-python[${PYTHON_USEDEP}] )
+       lz4? ( dev-python/lz4[${PYTHON_USEDEP}] )
+       lzo? ( >=dev-python/python-lzo-0.7.0[${PYTHON_USEDEP}] )
+       opengl? (
+               client? ( dev-python/pyopengl_accelerate[${PYTHON_USEDEP}] )
+       )
+       server? ( x11-base/xorg-server[-minimal,xvfb]
+               x11-drivers/xf86-input-void
+       )
+       webcam? ( dev-python/numpy[${PYTHON_USEDEP}]
+               media-libs/opencv[python]
+               dev-python/pyinotify[${PYTHON_USEDEP}] )"
+DEPEND="${COMMON_DEPEND}
+       virtual/pkgconfig
+       >=dev-python/cython-0.16[${PYTHON_USEDEP}]"
+
+PATCHES=( "${FILESDIR}"/${PN}-3.0.2_ignore-gentoo-no-compile.patch
+       "${FILESDIR}"/${PN}-2.0-suid-warning.patch )
+
+pkg_postinst() {
+       enewgroup ${PN}
+       tmpfiles_process /usr/lib/tmpfiles.d/xpra.conf
+
+       xdg_pkg_postinst
+}
+
+python_prepare_all() {
+       hprefixify -w '/os.path/' setup.py
+       hprefixify tmpfiles.d/xpra.conf xpra/server/server_util.py \
+               xpra/platform{/xposix,}/paths.py xpra/scripts/server.py
+
+       distutils-r1_python_prepare_all
+}
+
+python_configure_all() {
+       sed -e "/'pulseaudio'/s:DEFAULT_PULSEAUDIO:$(usex pulseaudio True 
False):" \
+               -i setup.py || die
+
+       mydistutilsargs=(
+               --without-PIC
+               --without-Xdummy
+               $(use_with client)
+               $(use_with clipboard)
+               $(use_with csc csc_swscale)
+               --without-csc_libyuv
+               --without-cuda_rebuild
+               --without-cuda_kernels
+               $(use_with cups printing)
+               --without-debug
+               $(use_with dbus)
+               $(use_with dec_avcodec2)
+               $(use_with enc_ffmpeg)
+               $(use_with enc_x264)
+               $(use_with enc_x265)
+               --without-gtk2
+               --with-gtk3
+               --without-html5
+               $(use_with jpeg jpeg_encoder)
+               $(use_with jpeg jpeg_decoder)
+               --without-mdns
+               --without-minify
+               $(use_with opengl)
+               $(use_with server shadow)
+               $(use_with server)
+               $(use_with sound)
+               --with-strict
+               $(use_with vpx)
+               --with-warn
+               $(use_with webcam)
+               $(use_with webp)
+               --with-x11
+       )
+
+       # see https://www.xpra.org/trac/ticket/1080
+       # and http://trac.cython.org/ticket/395
+       append-cflags -fno-strict-aliasing
+
+       export XPRA_SOCKET_DIRS="${EPREFIX}/run/xpra"
+}
+
+src_compile() {
+       # xpra calls `ldconfig -p` during compile to locate libraries.
+       addpredict /etc
+       distutils-r1_src_compile
+}

Reply via email to